Subject: Re: [PATCH 00/16] odb: introduce "inmemory" source

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Apr 2026 06:46:30 -0700

Patrick Steinhardt <[email-masked]> writes:

>> But stepping back a bit, does this new "in memory" refer to a
>> concept that is different from what the rest of the system uses "in
>> core" to represent?
>
> No, in principle it's not any different. One of the reasons I decided to
> go with "in memory" though is that this backend may eventually be
> (power-)user-facing via the planned "objectStorage" extension.

Doesn't 

    git grep -E -e 'in[- ]?core' -- ':!Documentation/RelNotes' ':!t'

give many hits that we want to be in line with in the codebase
anyway, and even in some user-facing things?  I just noticed an
option "--no-kept-objects=in-core" (which I didn't know about ;-).